% Figure to show drop in pergoramce when tested with unseen classes
clear all
close all

c = @cmu.colors;

% epochs= 0:10:100;
% 
% v1_tS_vS = [38.59, 54.27, 57.32, 58.63,  59.37,  59.69,  59.92,  59.99, 60.2, ...
%     60.07, 60.04];
% v1_tS_vUS = [37.58, 48.14, 50.87,  52.16,  52.75, 52.6,  53.12,  53.2, 53.18, ...
%     53.03, 53.41];
% v1 and v2 format is noZS TrainSeen_ValSeen TrainSeenValUnseen

v1_v2 = [60.14 61.62 54.94;
    58.9 60.2 53.2]; 
dataset = categorical({'VQAv1', 'VQAv2'});

l = cell(1,3);
l{1}='Known+Unknown';
l{2}='Known';
l{3}='Unknown';

ax = gca;
b = bar(dataset, v1_v2, 'FaceColor','flat');
ax.TickLabelInterpreter = 'latex';
ylabel('Validation Accuracy','Interpreter','latex')
ylim([52 64]);
legend(b,l,'Interpreter','latex','FontSize',8);
b(1).CData = rgb('dimgray');
% b(2).CData = rgb ('aquamarine')
b(3).CData = rgb('gold');

set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperSize', [3.25 3]);
set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperPosition', [0 0 3.25 3]);
set(gcf, 'renderer', 'painters');

% print(gcf, 'D:\Dropbox\ANU\Research\CVPR2019\Fig_performance_drop.pdf', '-dpdf')